Classes | Namespaces
FormEntry.h File Reference

Class representing a single HTML form entry. More...

`#include <iostream>`
`#include <string>`
`#include <climits>`
`#include <cfloat>`
`#include "CgiDefs.h"`
`#include "CgiUtils.h"`

Go to the source code of this file.

## Classes
class | cgicc::FormEntry
| Class representing a single HTML form entry. More...

## Namespaces
namespace | cgicc
| The namespace containing the cgicc library.

## Detailed Description

Class representing a single HTML form entry.

FormEntry is an immutable class representing a single user entry in an HTML form element such as a text field, radio button, or a checkbox. A FormEntry is essentially a name/value pair, where the name is the name of the form element as specified in the HTML form itself, and the value is the user-entered or user-selected value.

Definition in file FormEntry.h.